Bug 756 - rpmconstant bug with Turkish locale results in broken urpmi/rpmdrake
: rpmconstant bug with Turkish locale results in broken urpmi/rpmdrake
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Marathon
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-11 10:45 MSD by Denis Silakov
Modified: 2012-10-01 17:26 MSD (History)
2 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Denis Silakov 2012-09-11 10:45:41 MSD
User reports that rpmdrake crashes if system locale is set to Turkish:

http://forum.rosalab.ru/en/viewtopic.php?f=15&t=1292&p=7869

This is a known bug fixed here:

https://qa.mandriva.com/show_bug.cgi?id=63860
https://qa.mandriva.com/show_bug.cgi?id=65067

Appropriate patches were developed for rpm-5.4 and backported in MDV, but not in ROSA.

And there is one more patch that should be backported for completeness - it fixes possibility to work with URLs - e.g., query packages through network:

rpm -qip ftp://mirrors.kernel.org/mandrake/Mandrakelinux/official/2011/x86_64/media/main/updates/apache-conf-2.2.21-0.1-mdv2011.0.x86_64.rpm

(https://qa.mandriva.com/show_bug.cgi?id=64914)

I'll prepare the patches for ROSA soon.
Comment 1 Denis Silakov 2012-09-11 10:56:14 MSD
Advisory:
Backported patches from rpm-5.4 to fix the following issues:
- rpmdrake crashes on start if locale is set to Turkish
- rpm cannot query files through network

Buildlists:
https://abf.rosalinux.ru/build_lists/714959
https://abf.rosalinux.ru/build_lists/714960
Comment 3 Denis Silakov 2012-09-20 11:21:18 MSD
(In reply to comment #2)
> rpm -qip
> http://abf.rosalinux.ru/downloads/rosa2012lts/container/rpm-714960/RPMS/
> lib64rpm-devel-5.3.12-0.20110712.8-rosa.lts2012.0.x86_64.rpm
> 
> is not work on my test system...

Indeed, confirm that something is wrong with that packages if updating pure LTS...

Ok, let's say that this bug only fixes Turkish locale issue (this is really more important).
Comment 4 Denis Silakov 2012-09-20 11:21:39 MSD
Advisory:
Backported patches from rpm-5.4 to fix rpmdrake crash on start if locale is set to Turkish

Buildlists:
https://abf.rosalinux.ru/build_lists/714959
https://abf.rosalinux.ru/build_lists/714960
Comment 5 Vladimir Potapov 2012-09-20 11:49:22 MSD
rpm-5.3.12-0.20110712.8-rosa.lts2012.0
************* Advisory *******************
Backported patches from rpm-5.4 to fix rpmdrake crash on start if locale is set to Turkish
*******************************************
QA Verified